image: "ubuntu:20.04"

stages:
  - build

cache:
  paths:
  - apt-cache/

variables:
  DEBIAN_FRONTEND: noninteractive

before_script:
  - apt-get update -yq
  - apt-get -o dir::cache::archives="apt-cache" install -y --no-install-recommends
      clang
      clang-tools-6.0
      findutils
      gcc
      g++
      gettext
      git
      libc6-dev
      itstool
      libglib2.0-dev
      libgirepository1.0-dev
      libjson-glib-dev
      libprotobuf-c-dev
      libzmq3-dev
      libczmq-dev
      libxml2-utils
      libz3-dev
      locales
      python3
      python3-pip
      python3-setuptools
      python3-wheel
      valac
      wget
      xz-utils
      zlib1g-dev
  - python3 -m pip install --upgrade pip
  - python3 -m pip install meson ninja
  - wget https://gitlab.com/plantd/libplantd/-/archive/staging/libplantd-staging.tar.gz
  - tar zxvf libplantd-staging.tar.gz
  - cd libplantd-staging
  - meson -Dshared-lib=true -Dprefix=/usr _build
  - ninja -C _build
  - ninja -C _build install

build:
  stage: build
  script:
    - meson -Dwith-hardware=false _build
    - ninja -C _build
